### Description
This is a synthetic face recognition dataset containing variations in pose, illumination and expression.
The dataset is an outcome of the following work:
```
@INPROCEEDINGS{Colbois_IJCB_2021,
         author = {Colbois, Laurent and de Freitas Pereira, Tiago and Marcel, S{\'{e}}bastien},
       projects = {Idiap, Biometrics Center},
          title = {On the use of automatically generated synthetic image datasets for benchmarking face recognition},
      booktitle = {International Joint Conference on Biometrics (IJCB 2021)},
           year = {2021},
           note = {Accepted for Publication in IJCB2021},
       abstract = {The availability of large-scale face datasets has been key in the progress of face recognition. However, due to licensing issues or copyright infringement, some datasets are not available anymore (e.g. MS-Celeb-1M). Recent advances in Generative Adversarial Networks (GANs), to synthesize realistic face images, provide a pathway to replace real datasets by synthetic datasets, both to train and benchmark face recognition (FR) systems. The work presented in this paper provides a study on benchmarking FR systems using
a synthetic dataset. First, we introduce the proposed methodology to generate a synthetic dataset, without the need for human intervention, by exploiting the latent structure of a StyleGAN2 model with multiple controlled factors of variation. Then, we confirm that (i) the generated synthetic identities are not data subjects from the GAN's training dataset, which is verified on a synthetic dataset with 10K+ identities; (ii) benchmarking results on the synthetic dataset are a good substitution, often providing error rates and system ranking similar to the benchmarking on the real dataset.},
            pdf = {https://publications.idiap.ch/attachments/papers/2021/Colbois_IJCB_2021.pdf}
}
```

The generation code released jointly with the article is available at https://gitlab.idiap.ch/bob/bob.paper.ijcb2021_synthetic_dataset
However, this exact release of the data has been regenerated using a reimplementation of the code available at https://gitlab.idiap.ch/biometric/face-synthetics/ .
Synthetic identities and variations match that from the original paper.

### Content
The dataset contains 10000 synthetic identities with 18 images per identity that vary in pose, illumination and expression. 
The directory is organized as follows:
```
image # 182x182 resolution images
| - <id_number//1000>
| | - <id_number> 
| | | - <id_number>_<variation>.png
images_arcface_112x112_regen # 112x112 images with ArcFace-compatible alignment
| - <id_number>
| | - <id_number>_<variation>.png
```

The `id_number` varies in the range [0, 9999]
The `variation` can take different values:
```
# Neutral reference
['reference'] # Frontal pose, frontal illumination, neutral expression
# Pose variations
['pose_0', 'pose_1','pose_2', 'pose_3','pose_4', 'pose_5'] # Progressive variation from left to right profile
# Illumination variations
['illumination_0','illumination_1','illumination_2','illumination_3','illumination_4','illumination_5'] # Progressive variation from left illumination to right illumination
# Expression variations
['disgust', 'scream','smile','squint','surprise']
```
